Bug 820419 - RFE: new command show-node-config
RFE: new command show-node-config
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 2.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
: FutureFeature
Depends On:
Blocks: 876833
  Show dependency treegraph
 
Reported: 2012-05-09 16:55 EDT by Robert Rati
Modified: 2013-03-06 13:44 EST (History)
5 users (show)

See Also:
Fixed In Version: wallaby-0.16.1-2
Doc Type: Enhancement
Doc Text:
Feature: New wallaby shell command to show a node's configuration Reason: Provide abiltiy to inspect the configuration sent to a node Result (if any): It is possible to see the configuration as it will be sent to the condor-wallaby-client
Story Points: ---
Clone Of:
: 876833 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:44:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-05-09 16:55:38 EDT
Description of problem:
To provide equivalent functionality with the condor utilities, a command is needed to list a node's configuration.  This command would optionally take an option providing the config version to display (ie node#getConfig).  If no version is given, the current node's configuration in the store is displayed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-05-10 14:05:27 EDT
Added new shell command:
show-node-config

It takes a node name and displays the configuration of the node.  It takes an option (-l, --latest) which is the most recent configuration not more recent then version # provided.

If no option is given, it returns the node's current configuration in the store.

Changes tracked upstream on branch:
BZ820419-show-node-config
Comment 6 Tomas Rusnak 2012-11-19 04:26:46 EST
# wallaby show-node-config -h
Usage:  wallaby show-node-config NODE [OPTIONS]
    -h, --help                       displays this message
        --version VERSION            shows this node's configuration at VERSION

# wallaby help | grep show
show-feature:  Displays the properties of a feature.
show-group:  Displays the properties of a group.
show-node:  Displays the properties of a node.
show-param:  Displays metadata about a parameter in the store.
show-subsystem:  Displays the properties of a subsystem.


# rpm -qa | grep wallaby
python-wallaby-0.16.1-2.el6.noarch
condor-wallaby-base-db-1.24-2.el6.noarch
condor-wallaby-client-5.0.3-2.el6.noarch
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
python-wallabyclient-5.0.3-2.el6.noarch
wallaby-0.16.1-2.el6.noarch

Command is available and working, but there is no such command like show-node-config listed in output from "wallaby help". It will be hidden and used internally only?
Comment 7 Robert Rati 2012-11-19 10:08:24 EST
Yes, this command is intended to be hidden for now.
Comment 8 Tomas Rusnak 2012-11-19 10:35:26 EST
Thanks for quick reply.

# rpm -qa | grep -i wallaby
python-wallaby-0.16.1-2.el6.noarch
condor-wallaby-base-db-1.24-2.el6.noarch
condor-wallaby-client-5.0.3-2.el6.noarch
ruby-wallaby-0.16.1-2.el6.noarch
wallaby-utils-0.16.1-2.el6.noarch
python-wallabyclient-5.0.3-2.el6.noarch
wallaby-0.16.1-2.el6.noarch

>>> VERIFIED
Comment 10 errata-xmlrpc 2013-03-06 13:44:02 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.